[SciPy-dev] Build failure on OS X 10.5.8, Python 2.5, gcc-4.0.1

David Cournapeau cournape@gmail....
Mon Nov 9 18:58:40 CST 2009


On Tue, Nov 10, 2009 at 9:38 AM, David Warde-Farley <dwf@cs.toronto.edu> wrote:
> On 7-Nov-09, at 3:52 AM, David Cournapeau wrote:
>
>> This is a bit strange, you've never seen the problem before ?
>
> Nope, but as someone else pointed out, it may be a gcc-4.2 artifact. I
> just switched from 4.0.1 because of the complex business.

Oh, ok, that explains it. gcc 4.2, including apple one, does not
support -Wno-long-double. You should not change gcc compared to what
python distutils expects, it will not work as is (unless you use
numscons).

The complex thing should be fixed in trunk - would you mind testing
the last numpy/scipy for python 2.5 and ppc ?

cheers,

David


More information about the Scipy-dev mailing list